> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claim.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Claim by ID



## OpenAPI

````yaml GET /claims/{id}
openapi: 3.0.0
info:
  title: Public Claims API [VERY DRAFT]
  version: 0.0.0
servers: []
security: []
paths:
  /claims/{id}:
    get:
      summary: Get claim by ID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ClaimId'
      responses:
        '200':
          description: Claim retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Claim'
components:
  schemas:
    ClaimId:
      type: string
      example: 20200301_DE062750105355XZ
    Claim:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/ClaimId'
        claimType:
          $ref: '#/components/schemas/ClaimType'
        status:
          $ref: '#/components/schemas/ClaimStatus'
        shipmentId:
          $ref: '#/components/schemas/ShipmentId'
        trackingCode:
          $ref: '#/components/schemas/TrackingCode'
        shopOrderId:
          $ref: '#/components/schemas/ShopOrderId'
        carrier:
          $ref: '#/components/schemas/Carrier'
        isReturnShipment:
          $ref: '#/components/schemas/IsReturnShipment'
        firstHubScanDate:
          $ref: '#/components/schemas/ShipmentEventDate'
        deliveryDate:
          $ref: '#/components/schemas/ShipmentEventDate'
        postalReturnDeliveryDate:
          $ref: '#/components/schemas/ShipmentEventDate'
        netValue:
          $ref: '#/components/schemas/NetValue'
        netValueCurrency:
          $ref: '#/components/schemas/NetValueCurrency'
        recipientName:
          $ref: '#/components/schemas/RecipientName'
        recipientCity:
          $ref: '#/components/schemas/RecipientCity'
        recipientZipCode:
          $ref: '#/components/schemas/RecipientZipCode'
        weight:
          $ref: '#/components/schemas/Weight'
    ClaimType:
      type: string
      enum:
        - investigation
        - partial_damage
        - whole_damage
        - missing_item
    ClaimStatus:
      type: string
      enum:
        - submitted
        - action_required
        - in_progress
        - accepted
        - declined
        - successful
        - paid
    ShipmentId:
      type: string
      example: '2340923434'
    TrackingCode:
      type: string
      example: DE062750105355XZ
    ShopOrderId:
      type: string
      example: '20314532264784'
    Carrier:
      type: object
      properties:
        name:
          type: string
          example: dhl
        country:
          type: string
          example: de
    IsReturnShipment:
      type: boolean
      example: false
    ShipmentEventDate:
      type: string
      format: date-time
      example: '2019-06-30T12:34:06+00:00'
    NetValue:
      type: number
      format: float
      description: Invoice net value
      example: 10.5
    NetValueCurrency:
      type: string
      description: Currency of the invoice net value
      example: EUR
    RecipientName:
      type: string
      example: Federico Garcia
    RecipientCity:
      type: string
      example: Berlin
    RecipientZipCode:
      type: string
      description: The recipient zipcode
    Weight:
      type: number
      format: float
      description: Weight (kg)
      example: 1.52

````